Results 1 to 9 of 9

Thread: Trouble with updates

  1. #1

    Default Trouble with updates

    Hi, I am having trouble updating my SUSE and getting aplications in general I have access denied even though I am an admin user and I KNOW I have internet access, when I try to get updates this error message appears.

    PackageKit Error repo-not-available: Permission to access 'http://download.opensuse.org/debug/distribution/11.2/repo/oss/repodata/repomd.xml' denied.

    And when I try to get software off of YaST I get this error message.

    Cannot access installation media
    http://download.opensuse.org/debug/d...po/oss/(Medium 1)
    Check whether the server is accessible

  2. #2
    Join Date
    Jun 2008
    Location
    Berlin
    Posts
    2,061

    Default Re: Trouble with updates

    Please post the output of

    Code:
    zypper lr -uP
    What do you need the debug-repository for?

  3. #3

    Default Re: Trouble with updates

    Its just every time i boot into my user i have this error message in my task bar on the right

    This is the output

    # | Alias | Name | Enabled | Refresh | Priority | URI
    --+-----------------+-----------------------+---------+---------+----------+----------------------------------------------------------------
    1 | openSUSE 11.2-0 | openSUSE 11.2-0 | No | No | 99 | cd:///
    2 | repo-debug | openSUSE-11.2-Debug | Yes | Yes | 99 | Index of /debug/distribution/11.2/repo/oss
    3 | repo-non-oss | openSUSE-11.2-Non-Oss | Yes | Yes | 99 | Index of /distribution/11.2/repo/non-oss
    4 | repo-oss | openSUSE-11.2-Oss | Yes | Yes | 99 | Index of /distribution/11.2/repo/oss
    5 | repo-source | openSUSE-11.2-Source | Yes | Yes | 99 | Index of /source/distribution/11.2/repo/oss
    6 | repo-update | openSUSE-11.2-Update | Yes | Yes | 99 | Index of /update/11.2

  4. #4
    Join Date
    Jun 2008
    Location
    Berlin
    Posts
    2,061

    Default Re: Trouble with updates

    Does

    Code:
    zypper up
    work?

    Again: you probably do not need the 'debug'-repo (same with the 'source'-repo) - these repositories provide packages for developers, not for endusers. If I were you I'd deactivate them (even if it has nothing to do with the actual problem here).

  5. #5

    Default Re: Trouble with updates

    zypper doesn't work, i am in root, i tried "zypper up" and tried installing apache2 and it keeps on saying access is denied.....
    Last edited by Cheesewiz680; 14-Apr-2010 at 14:30. Reason: needed to add more information

  6. #6
    Join Date
    Aug 2008
    Location
    Seattle, WA
    Posts
    1,376

    Default Re: Trouble with updates

    As gropiuskalle points out, it's not necessary to have the debug repo enabled, and this seems to be where your problem lies. There is no 'repodata' directory there. The directory is used for repomd sources. Try disabling the debug source.

    zypper mr -d repo-debug

  7. #7
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,377
    Blog Entries
    1

    Default Re: Trouble with updates

    zypper doesn't work, i am in root, i tried "zypper up" and tried installing apache2 and it keeps on saying access is denied.....
    You need to be root first.

  8. #8
    Join Date
    Aug 2008
    Location
    Seattle, WA
    Posts
    1,376

    Default Re: Trouble with updates

    Quote Originally Posted by deano_ferrari View Post
    You need to be root first.
    I think that's what he meant when he said "i am in root." Access is being denied to files in the debug repository (repo-not-available).

  9. #9
    DenverD NNTP User

    Default Re: Trouble with updates

    chief sealth wrote:
    > I think that's what he meant when he said "i am in root." Access is
    > being denied to files in the debug repository (repo-not-available).


    i think his first post "I have access denied even though I am an admin
    user" and his "i am in root" means he is logging into KDE/Gnome etc as
    the "admin user" in order to do his updates and other normal admin
    duties..

    is that correct Cheesewiz680??

    --
    DenverD (Linux Counter 282315)
    CAVEAT: http://is.gd/bpoMD
    posted via NNTP w/TBird 2.0.0.23 | KDE 3.5.7 | openSUSE 10.3
    2.6.22.19-0.4-default SMP i686
    AMD Athlon 1 GB RAM | GeForce FX 5500 | ASRock K8Upgrade-760GX |
    CMedia 9761 AC'97 Audio

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •